<template>
    <div class="matches-list">
        <AddMatch />
        <Match
            v-for="match in someMatches"
            :key="match.id"
            v-bind:id="match.id"
            v-bind:name="match.name"
            v-bind:address="match.address"
            v-bind:time="match.time"
            v-bind:totalCost="match.totalCost"
        ></Match>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';
import Match from './Match.vue';
import AddMatch from './AddMatch.vue';

export default {
    name: 'MatchesList',
    methods: {
        ...mapActions(['fetchMatches'])
    },
    components: { Match, AddMatch },
    created() {
        this.fetchMatches();
    },
    computed: mapGetters(['someMatches'])
};
</script>

<style scoped></style>
